﻿// Accord Statistics Library
// The Accord.NET Framework
// http://accord-framework.net
//
// Copyright © César Souza, 2009-2014
// cesarsouza at gmail.com
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Lesser General Public
//    License as published by the Free Software Foundation; either
//    version 2.1 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Lesser General Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public
//    License along with this library; if not, write to the Free Software
//    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//

namespace Accord.Statistics.Distributions.Univariate
{
    using System.Runtime.CompilerServices;

    /// <summary>
    ///  Contains univariate distributions such as <see cref="NormalDistribution">Normal</see>,
    ///  <see cref="CauchyDistribution">Cauchy</see>, <see cref="HypergeometricDistribution">
    ///  Hypergeometric</see>, <see cref="PoissonDistribution">Poisson</see>, 
    ///  <see cref="BernoulliDistribution">Bernoulli</see>, and specialized distributions such
    ///  as the <see cref="KolmogorovSmirnovDistribution">Kolmogorov-Smirnov</see>, 
    ///  <see cref="NakagamiDistribution">Nakagami</see>, <see cref="WeibullDistribution">
    ///  Weibull</see>, and <see cref="VonMisesDistribution">Von-Mises</see> distributions.
    /// </summary>
    /// 
    /// <remarks>
    /// <para>
    ///   The namespace class diagram is shown below. </para>
    ///   <img src="..\diagrams\classes\Accord.Statistics.Univariate.png" />
    /// </remarks>
    ///   
    /// <seealso cref="Accord.Statistics.Distributions"/>
    /// <seealso cref="Accord.Statistics.Distributions.Multivariate"/>
    /// <seealso cref="Accord.Statistics.Distributions.Fitting"/>
    /// 
    [CompilerGenerated]
    class NamespaceDoc
    {
    }
}
